<?php
/*******************************************************************************
    Wordpress IDX and Contact Manager Plugin
    Copyright (C) 2010 pyHub Limited/Agent Storm

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/
?>

<div class="wrap static">
    
    <div id="agentstorm">
        <div id="agentstorm-logoc"><div id="agentstorm-logo"></div></div>
        <div id="agentstorm-tabs">
            <ul>
                <li><a href="#tabs-1">Settings</a></li>
                <li><a href="#tabs-2">Contact Manager</a></li>
                <li><a href="#tabs-3">IDX Data</a></li>
            </ul>
            <div id="tabs-1" class="ui-tabs-hide">
                <div class="ui-state-highlight ui-corners-msgbox" style="margin-top: 10px; padding: 0 .7em;"> 
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span><strong>Information</strong><br />
                        In the boxes below enter the required information for connecting to your Agent Storm Account. If you require assistance installing this plugin, visit the <a href="http://www.agentstorm.com/wiki/">Agent Storm Wiki</a>.
                    </p>
                </div>
                <form action="" method="POST">
                    <div class="agentstorm-input">
                        <label>Use Built in Stylesheet:</label><br />
                        <span class="small">Uses the built in style sheet, turn this off if styling the plugin using your own CSS.</span><br />
                        <input type="checkbox" name="as_usestyle" class="text" value="1" <?php if (get_option('as_usestyle') == true): ?>checked="checked"<?php endif; ?> />
                    </div>
                    <div class="agentstorm-input">
                        <label>Hostname:</label><br />
                        <span class="small">This is the Hostname you connect to when logging in to your Agent Storm account. i.e. http://mycompany.agentstorm.com/</span><br />
                        <input type="text" name="as_hostname" class="text" value="<?php echo (get_option('as_hostname')) ? get_option('as_hostname') : 'http://'; ?>" />
                    </div>
                    <div class="agentstorm-input">
                        <label>API Key:</label><br />
                        <span class="small">Your API Key can be found under the Integration section of your Agent Storm homepage.</span><br />
                        <input type="text" name="as_apikey" class="text" value="<?php echo get_option('as_apikey'); ?>" />
                    </div>
                    <div class="agentstorm-input">
                        <input name="as_settings_save" class="button-secondary" value="Save Changes" type="submit">
                    </div>
                </form>
            </div>
            <div id="tabs-2" class="ui-tabs-hide">
                <div class="ui-state-highlight ui-corners-msgbox" style="margin-top: 10px; padding: 0 .7em;"> 
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span><strong>Information</strong><br />
                        The Agent Storm Contact/Prospect Manager keeps track of vistors that request more information via property listings displayed via the Agent Storm IDX widget and also from visitors that fill out the Agent Storm Sidebar Widget.
                    </p>
                </div>
                <form action="" method="POST">
                    <div class="agentstorm-input">
                        <label>Email Notification:</label><br />
                        <span class="small">Send you a notification via email when a new prospect is received.</span><br />
                        <input type="checkbox" name="as_contact_emailnotification" class="text" value="1" <?php if (get_option('as_contact_emailnotification') == true): ?>checked="checked"<?php endif; ?> />
                    </div>
                    <div class="agentstorm-input">
                        <label>Assign Tags:</label><br />
                        <span class="small">Assign the following tags to new prospects.</span><br />
                        <input type="text" name="as_contact_tag" value="" /><input type="button" tabindex="3" value="Add" class="button tagadd">
                        <div class="tagchecklist">
                            <span><a class="ntdelbutton" id="post_tag-check-num-0">X</a>&nbsp;Demo</span>
                            <span><a class="ntdelbutton" id="post_tag-check-num-1">X</a>&nbsp;idx</span>
                            <span><a class="ntdelbutton" id="post_tag-check-num-2">X</a>&nbsp;wordpress</span>
                        </div>
                        <input type="hidden" name="as_contact_tags" value="" />
                    </div>
                    <div class="agentstorm-input">
                        <input name="as_contact_save" class="button-secondary" value="Save Changes" type="submit">
                    </div>
                </form>
            </div>
            <div id="tabs-3" class="ui-tabs-hide">
                <div class="ui-state-highlight ui-corners-msgbox" style="margin-top: 10px; padding: 0 .7em;"> 
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span><strong>Information</strong><br />
                        Configure how IDX data is displayed on your web site. Property Listings can use SEO URL's to give your site a boost in Domain Authority and
                        the number of indexed pages.
                    </p>
                </div>
                <form action="" method="POST">
                    <div class="agentstorm-input">
                        <label>Use SEO URL's:</label><br />
                        <span class="small">Use SEO URL's that aid in search engine indexing and appearing in search results.</span><br />
                        <input type="checkbox" name="as_idx_seo" class="text" value="1" <?php if (get_option('as_idx_seo') == true): ?>checked="checked"<?php endif; ?> />
                    </div>
                    <div class="agentstorm-input">
                        <label>Property URL Prefix:</label><br />
                        <span class="small">A prefix defines what virtual sub directory holds properties. for example, 'property' set here will make your IDX listings be located at <?php echo bloginfo('url'); ?>/property/</span><br />
                        <input type="text" name="as_idx_urlprefix" class="text" value="<?php echo (get_option('as_idx_urlprefix')) ? get_option('as_idx_urlprefix') : 'property'; ?>" />
                    </div>
                    <div class="agentstorm-input">
                        <label>Results Per Page:</label><br />
                        <span class="small">Sets how many property results are displayed per page.<br />
                        <select name="as_idx_pagelimit">
                            <option value="10">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                    </div>
                    <div class="agentstorm-input">
                        <input name="as_idx_save" class="button-secondary" value="Save Changes" type="submit">
                    </div>
                </form>
            </div>
        </div>
    </div>
    
</div>

<script type="text/javascript">
	jQuery(document).ready(function($) {
		jQuery("#agentstorm-tabs").tabs();
	});
</script>

